uniform sampler2D tex;

void main() {
	vec3 color = texture(tex, TexCoord.xy).rgb;

	color = min(max(color - vec3(levelMin), vec3(0.0)) / (vec3(levelMax) - vec3(levelMin)), vec3(1.0));
	color = pow(color, vec3(1.0 / levelGamma));
	color = mix(vec3(levelOutMin), vec3(levelOutMax), color);

	FragColor = vec4(color, 1.0);
}
